/*
Arduino Tutorial 5.4.1 - Lichtschranke nah
 
In diesem Tutorial geht es darum, mit einem paar Temic K153P eine Lichtschranke zu bauen.
 
by Scynd 2015
http://www.scynd.de/index.php/arduino-tutorials
*/

// Konstanten
const int empfPin = 2;      // Pin des Empfängers
const int ledPin = 13;      // LED auf dem Arduino initialisieren

// Variablen
int signal = 0;


void setup()
{  
  Serial.begin(9600);           // Baudrate für die Ausgabe am Serial Monitor
  pinMode(empfPin, INPUT);      // Pin des Senders als Eingang
  pinMode(ledPin, OUTPUT);      // Pin der LED als Ausgang
}


void loop()
{
  signal = digitalRead(empfPin);
  
  // Wenn Lichtschranke unterbrochen wird, geht die LED an
  if(signal == HIGH)
  {
    digitalWrite(ledPin, HIGH);
  }   
  else
  {
    digitalWrite(ledPin, LOW);
  }
  
  // Zur Kontrolle an den Seriellen Monitor senden
  Serial.println(signal);
  
}
